Go to the latest version of this document.

# ``twisted`.`internet`.`error`.`ProcessDone``

exception documentation

`class ProcessDone(ConnectionDone): (source)`

Constructor: `ProcessDone(status)`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Constant | `MESSAGE` | Undocumented
Class Variable | `__doc__` | Undocumented
Instance Variable | `exitCode` | Undocumented
Instance Variable | `signal` | Undocumented
Instance Variable | `status` | Undocumented

Inherited from `ConnectionDone`:

Method | `__str__` | Undocumented

def __init__(self, status): (source)

Undocumented

MESSAGE: `str` = (source)
overrides `twisted.internet.error.ConnectionDone.MESSAGE`

Undocumented

Value

    'A process has ended without apparent errors'

__doc__: `str` = (source)
overrides `twisted.internet.error.ConnectionDone.__doc__`

Undocumented

exitCode: `int` = (source)

Undocumented

signal = (source)

Undocumented

status = (source)

Undocumented